CREATE TABLE ATUALIZACAO (
ID_ATUALIZACAO INTEGER NOT NULL PRIMARY KEY,
DATA DATE
);

CREATE GENERATOR GEN_ID_ATUALIZACAO;

SET TERM ^ ;

CREATE TRIGGER TRIG_GEN_ID_ATUALIZACAO FOR ATUALIZACAO
ACTIVE BEFORE INSERT POSITION 0
AS
BEGIN
   NEW.ID_ATUALIZACAO = gen_id(GEN_ID_ATUALIZACAO,1);
END
 ^

COMMIT WORK ^
SET TERM ;^

